<h5 class="n-e-album">Edit Album</h5>
<hr />
<%= flash_messages %>
<%= form_with model: @album, html: { multipart: true }, local: true do |f| %>
  <% if @album.errors.any? %>
    <% @album.errors.full_messages.each do |msg| %>
      <p class="alert alert-danger"><button class="close" data-dismiss="alert">x</button><%= msg %></p>
    <% end %>
  <% end %>

  <div class="row">
    <div class="col-xl-6 col-sm-12 mb-3 col-12">
      <%= f.label :title %><br />
      <%= f.text_field :title, autofocus: true, required: true, size: "25", maxlength: "140", autocomplete: "off", placeholder: "Title" %>
    </div>
    <div class="col-xl-6 col-sm-12 mb-3 col-12">
      <%= f.label :description %><br />
      <%= f.text_area :description, required: true, cols: "30", maxlength: "300", placeholder: "Description" %>
    </div>
    <div class="col-xl-4 col-sm-12 mb-3 col-12 form-group">
      <%= f.label "Sharing mode" %><br />
      <select name="album[mode]" id="album_mode" class="form-control">
      <%= mode_option1_album(@album) %><%= mode_option2_album(@album) %>
      </select>
    </div>
    <div class="col-xl-4 offset-xl-2 col-sm-12 pt-4 mb-3 col-12">
      <span class="text-edit mr-20"><a class="text-edit vote far fa-thumbs-up"></a> <span class="votes-count" data-id="<%= @album.id %>"><%= @album.likes.count %></span></span>
      <span class="text-edit">Created at: <%= @album.created_at.strftime("%b %d, %Y") %></span>
    </div>
    <div class="col-xl-12">
      <% @album.photos.each do |photo| %>
        <span class="preview"><%= image_tag photo.image.url(:medium), class: "thumb" %><span class="remove_img_preview" onclick="delete_array(<%= photo.id %>)"><%= hidden_field_tag "delete_ids[]", photo.id %></span></span>
      <% end %>
    </div>
  </div>

  <div class="row">
    <div id="list" class="col-12">
      <label id="label-image" class="btn btn-outline-dark" style="vertical-align: center; text-align: center"><i class="far fa-image"></i> <span style="font-weight: bold; font-style: italic;">Photos</span><%= file_field_tag "images[]", type: :file, multiple: true, hidden: true, id: "edit" %></label>
      <img alt="your image" class="portimg thumb hidden" src="#">
    </div>
  </div>

  <hr />

  <a data-confirm="Delete this album?" rel="nofollow" data-method="delete" href="/albums/<%= @album.id %>"><i class="btn btn-outline-danger fas fa-trash-alt"> Delete album</i></a>

  <input type="submit" id="editupload" class="btn btn-outline-success float-right mb-3 save-btn" value="Save">

<% end %>